Instalar una tableta Wacom Bamboo CTH-470K [Solucionado]

Hola a todos:
Escribo esto por los problemas que me esta ocasionando la instalación de la tablera wacom bamboo CTH-470K
creo que todo el problema vienen aparte mi poco ingles por la compilación del núcleo y el nuevo tipo de las X en su configuración ahora en el xorg.config
la verdad es que he mirado mucho, ya se que igual me falta mirar más, pero cuando escribes en el foro es porque o te quedas atascado o las soluciones que ves, no lo tienes claro.
bueno al lío:
Mi Pc esta con un micro AMD Phenom(tm) II X4 965 Processor,
la versión del kernel es linux 3.1.0-1-amd64
Tarjeta gráfica: una NVidia GForce GT 430/PCI 1 GB Ram
Teclado K340 y mouse M505 ambos de Logitech inalámbricos
creo que esto es lo mas importante aparte de otros periféricos que no intervienen
Trabajo con la version wheezy con kde

Hasta ahora esto es lo que hecho, siguiendo la web de http://ubuntusinmiedo.blogspot.com/2010/07/tableta-grafica-wacom-bamboo-...

Instalar el driver de las X y la configuración del kde
$ sudo aptitude install xserver-xorg-input-wacom kde-config-tablet

un programa para probar la wacom
$ sudo aptitude install mypaint mypaint-data
Después instalar las librerías siguientes, creo que son para que trabajen los los drivers y aplicaciones que se instalaran seguidamente
$ sudo aptitude install libx11-dev libxi-dev x11proto-input-dev xserver-xorg-dev tk8.4-dev tcl8.4-dev libncurses5-dev

ir a http://sourceforge.net/projects/linuxwacom/files/

y copiar todo los archivos a un directorio por ejemplo wacom.
$ mkdir wacom
copiarlos todos si hay una versión superior coger la superior

haciendo un listado queda:
/wacom$ ls
input-wacom-0.12.1.tar.bz2 libwacom-0.1.tar.bz2 wdaemon-0.17.tar.bz2
linuxwacom-0.9.0.tar.bz2 xf86-input-wacom-0.12.0.tar.bz2
descomprimimos
tar -xf linuxwacom-0.9.0.tar.bz2
/wacom$ cd linuxwacom-0.9.0

hacer el configure
./configure --enable-wacom

echa todo un mogollón de datos y no da errores, bien silbo .
ahora ir al kernel más alto de lo que has descomprimido, en este caso es /wacom/linuxwacom-0.9.0/src/2.6.30$

cd src/2.6.30/
make
Building linuxwacom drivers for 2.6 kernel.
***Note: Drivers not enabled as modules in your kernel config but requested through configure are NOT built
make -C /lib/modules/3.1.0-1-amd64/build M=/Pruebas/Descargas/drivers/wacom/linuxwacom-0.9.0/src/2.6.30
make[1]: se ingresa al directorio `/usr/src/linux-headers-3.1.0-1-amd64'
Building modules, stage 2.
MODPOST 0 modules
make[1]: se sale del directorio `/usr/src/linux-headers-3.1.0-1-amd64'

a partir de aquí ya veo que la wacom no se reconoce ya que el "wacom.ko" no está.

bueno pues por si las moscas vuelvo al ataque con el fichero xf86-input-wacom-0.12.0
descomprimo
/wacom$ tar -xf xf86-input-wacom-0.12.0.tar.bz2
/wacom$ cd xf86-input-wacom-0.12.0
/wacom/xf86-input-wacom-0.12.0$ ./configure --prefix=/usr

otro mogollon de datos y despues al final
.......
checking for XORG... yes
checking for X11... no
configure: error: Package requirements (x11 xi xrandr xinerama) were not met:

No package 'xrandr' found
No package 'xinerama' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables X11_CFLAGS
and X11_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

hago un make haber que pasa

/wacom/xf86-input-wacom-0.12.0$ make
make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.

continuo sin darme por vencido

busco en google: debian wheezy wacom

y voy a http://packages.debian.org/wheezy/xserver-xorg-input-wacom

y me doy cuenta que tengo ya de antes el xserver-xorg-input-wacom instalado.

aqui me quedo atascado.

Bueno creo que esta bastante detallado lo que he hecho, esto es por que tenia la intencion de hacer un wiki e iba apuntando todo, no sé, igual me he pasado.

Os pido una ayudita para salir del atasco pray

Hola Jadico, pudiste probar a buscar en esta misma página sobre el mismo problema que a otro le hubiese acontecido anteriormente.

Te comento que esta tableta necesita complilar controlador en versiones anteriores del kernel como el que lleva Debian Squeeze, pero en las nuevas versiones, al parecer funciona directamente sin tener que intervenir.

En esta entrada del foro se trató el tema:

http://www.esdebian.org/foro/47261/wacom-bamboo

Espero que te sirva y recuerda que si pruebas a instalar con algún otro método, deberías limpiar antes las probatinas que estás haciendo ahora.

Saludos.

Hola belbotton.
Esa fue la primera página que mire. Pero si no estoy confundido el problema esta, en que no consigo compilar el driver wacom.ko, es decir no está el wacom.ko smash .No obstante puedes que tengas razón y voy a deshacer todo lo andado y haber si se instala solo o volver a probar de nuevo por si he metido la pata en algún sitio typeo . Pero al enchufarla de nueva, la wacom se encendió pero no funcionaba.

cunado hice el make de linuxwacom:
make
Building linuxwacom drivers for 2.6 kernel.
***Note: Drivers not enabled as modules in your kernel config but requested through configure are NOT built
make -C /lib/modules/3.1.0-1-amd64/build M=/Pruebas/Descargas/drivers/wacom/linuxwacom-0.9.0/src/2.6.30
make[1]: se ingresa al directorio `/usr/src/linux-headers-3.1.0-1-amd64'
Building modules, stage 2.
MODPOST 0 modules
make[1]: se sale del directorio `/usr/src/linux-headers-3.1.0-1-amd64'

a partir de aquí ya veo que la wacom no se reconoce ya que el "wacom.ko" no está.

Nota: Antes tampoco reconocía la wacom

De acuerdo Jadico.

¿Probaste con instalar los paquetes del módulo autoinstalable de Launchpad?

http://blog.nodo21.org/linux/hardware/2010/12/03/wacom-bamboo-pen-ctl-46...

En caso de funcionar correctamente como se espera, debería ser la opción más fácil, añadiendo un repositorio y sin debas compilarlo tú. Lo haría automáticamente el paquete como ocurre con el dkms del controlador de nvidia.

Saludos y espero que tengas suerte.

Eso es una parte de la que no entiendo, me explico:
Una de las cosas que probé cuando no podía compilar el driver, es que añadí el repositorio en mi debian wheezy y salio ese driver de wacom-dkms, el cual instale y sigue instalado pero no hace nada.

Haciendo una busqueda de que cosas wacom que tengo instaladas, como se ve en listado:

~$ sudo aptitude search wacom
i wacom-dkms - Wacom kernel driver in DKMS format
i xserver-xorg-input-wacom

sale como instalada
¿pero acaso es que no esta activado en el kernel?

bueno lo voy comprobar.
de momento gracias por la ayuda y por hacerme pensar. wink
Tadavía no esta solucionado.

Ya está funcionando cata3
el problema era el siguiente: atentos para los que tengan modelo nuevo:
Los PPA son de fuentes antiguas que no funcionará para mi CTH-470 , el PPA bueno es el:

ppa:lekensteyn/wacom-tablet

la manera de instalar es la siguiente:

Se abre el source.list con nano, (por ejemplo) y se introducen las direcciones que siguen a continuacion:

$ sudo nano /etc/apt/source.list

poner estas direcciones al final

deb http://ppa.launchpad.net/lekensteyn/wacom-tablet/ubuntu oneiric main
deb-src http://ppa.launchpad.net/lekensteyn/wacom-tablet/ubuntu oneiric main

a continuación se se pone las key gpg

$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 291D760B

y a funcionar.

Gracias a bellbottom que me hizo pensar eyebrows

Estaba yo equivocado con la librería wacom.ko, es una librería para tabletas antiguas y ahora parece ser que para las nuevas esta la wacom-dkms